## lttng-modules 2.14.0

=== debian/changelog ===
lttng-modules (2.14.0-1ubuntu1) questing; urgency=medium

  * Support Linux 6.17 (LP: #2122419)
    - repurpose-__percpu-tag-as-a-named-address-space-qualifier.patch
    - remove-the-for_reclaim-field-from-struct-writeback_control.patch

 -- Massimiliano Pellizzer <massimiliano.pellizzer@canonical.com>  Tue, 09 Sep 2025 10:20:33 +0200

lttng-modules (2.14.0-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * [e4aad43] Fix version constraint for building lttng-probe-9p
  * [a3159c8] dkms.conf: Set BUILD_EXCLUSIVE_KERNEL_MIN="3.5"

  [ Michael Jeanson ]
  * [1c1be3a] New upstream version 2.14.0
  * [8e16fa1] Refresh upstream signing key
  * [e2cbe7a] Refresh patches
  * [a579cc2] Bump standards to 4.7.2
  * [c328b79] Update git url in upstream metadata
  * [d3cd6d0] d/control: update description
  * [8068856] Update dkms config
  * [b22d162] Update debian/copyright
  * [4be4523] Add config check for 9p probe in dkms config
  * [f41cf63] d/copyright: add missing license text for CC-BY-SA-4.0
  * [d7fcfa9] Move to debhelper 13
  * [425602d] d/copyright: remove old FSF address

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 08 Aug 2025 13:34:08 -0400
