=== debian/control ===
Source: lttng-modules
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
Uploaders: Michael Jeanson <mjeanson@debian.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/lttng-modules.git
Vcs-Browser: https://salsa.debian.org/debian/lttng-modules/
Homepage: https://lttng.org
Testsuite: autopkgtest-pkg-dkms

Package: lttng-modules-dkms
Architecture: all
Depends: ${misc:Depends}
Recommends: lttng-tools
Description: Linux Trace Toolkit (LTTng) kernel modules (DKMS)
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 This package contains the LTTng kernel modules. These provide additional
 instrumentation (not found in the mainline kernel), the ring buffer library,
 the tracer itself, and some additional utilities.
