=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DKMS_SRC_DIR := $(CURDIR)/debian/lttng-modules-dkms/usr/src/lttng-modules-$(DEB_VERSION_UPSTREAM)

%:
	dh $@

override_dh_dkms:
	dh_dkms -V ${DEB_VERSION_UPSTREAM}

override_dh_auto_install:
	install -d $(DKMS_SRC_DIR)
	cp -a Makefile extra_version include scripts src $(DKMS_SRC_DIR)
	dh_auto_install

override_dh_auto_clean:
	exit 0

override_dh_auto_build:
	exit 0
