## lttng-modules 2.14.1

=== debian/changelog ===
lttng-modules (2.14.1-1) unstable; urgency=medium

  * [7113e26] New upstream version 2.14.1
    - Bugfix release, adds support for v6.17
    - Fix build of v6.15+ with GCC >= 14 (Closes: #1106707)

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 10 Sep 2025 14:11:51 -0400
