## lttng-modules 2.14.2

=== debian/changelog ===
lttng-modules (2.14.2-1) unstable; urgency=medium

  * [f5eab06] New upstream version 2.14.2
  * [03e8a3d] gbp.conf: Add explicit pristine-tar config

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 07 Oct 2025 11:18:52 -0400
