=== debian/changelog ===
lttng-modules (2.14.3-1) unstable; urgency=medium

  * [bfd38a0] New upstream version 2.14.3
    - Fix modules loading on v6.17

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 20 Oct 2025 10:31:14 -0400
