=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lttng-modules
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
 Standards-Version: 4.7.2
