## lttng-modules 2.14.4

=== debian/changelog ===
lttng-modules (2.14.4-1) unstable; urgency=medium

  * [d459c91] New upstream version 2.14.4
    - Fix build on v6.19 (Closes: #1125922)
  * [8b3d8d1] d/control: Update to new standards

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 09 Feb 2026 14:05:24 -0500
