## lttng-modules 2.15.0

=== debian/changelog ===
lttng-modules (2.15.0-1) unstable; urgency=medium

  * [5716208] New upstream version 2.15.0

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 18 Feb 2026 16:53:37 -0500
