=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: lttng-modules
 Section: kernel
-Priority: optional
 Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/lttng-modules.git
 Vcs-Browser: https://salsa.debian.org/debian/lttng-modules/
 Homepage: https://lttng.org
